# class IAXAuthMethod | Wrapper class for authentication methods values. More...
Full name | `TelEngine::IAXAuthMethod`
Definition | `#include <libs/yiax/yateiax.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { Text = 1, MD5 = 2, RSA = 4, }

#### Public Static Methods

- static void authList (String& dest, u_int16_t auth, char sep)

#### Public Members

- static TokenDict s_texts[]

## Detailed Description

This class holds the enumeration values for authentication methods

enum Type { Text = 1, MD5 = 2, RSA = 4, } | ### Type

Authentication method enumeration types

void authList (String& dest, u_int16_t auth, char sep) | ### authList

[static]

Create a string list from authentication methods

Parameters:

dest | The destination
auth | The authentication methods as ORed bits
sep | The separator to use

static TokenDict s_texts[] | ### s_texts[]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.